<?php
	
PerchSystem::register_feather('Masonry');

class PerchFeather_Masonry extends PerchFeather
{

	public function get_javascript($opts, $index, $count)
	{
		$out = array();
		
		if (!$this->component_registered('jquery')) {
			$out[] = $this->_script_tag(array(
				'src'=>$this->path.'/js/jquery-1.9.1.min.js'
			));
			$this->register_component('jquery');
		}

		if (!$this->component_registered('jquery.masonry')) {
			$out[] = $this->_script_tag(array(
				'src'=>$this->path.'/js/jquery.masonry.min.js'
			));
			$out[] = $this->_script_tag(array(
				'src'=>$this->path.'/js/perch.masonry.js'
			));
			$this->register_component('jquery.masonry');
		}

		return implode("\n\t", $out)."\n";
	}


}


?>